Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class Search

    java.lang.Object
      classes.Search

    public class Search

extends java.lang.Object

A Search osztály a számlák közötti kereséshez használt beállításokat tárolja

Constructor Summary
`Search(int type, int fromMoney, int toMoney, java.sql.Date fromDate, java.sql.Date toDate, java.lang.String category, java.lang.String comment)` Létrehoz egy Search objektumot a megadott értékekkel

Method Summary
`java.lang.String` | `getCategory()` A metódus segítségével lekérdezhető, hogy a keresett számlák milyen kategóriába kell, hogy essenek.
`java.lang.String` | `getComment()` A metódus segítségével lekérdezhető, hogy a keresett számlákon milyen megjegyzésnek/VTSZ számnak kell szerepelnie.
`java.sql.Date` | `getFromDate()` A metódus segítségével lekérdezhető a keresett számlák dátumának alsó határa.
`int` | `getFromMoney()` A metódus segítségével lekérdezhető a keresett számlák végösszegének alsó határa.
`java.sql.Date` | `getToDate()` A metódus segítségével lekérdezhető a keresett számlák dátumának felső határa.
`int` | `getToMoney()` A metódus segítségével lekérdezhető a keresett számlák végösszegének felső határa.
`int` | `getType()` A metódus segítségével lekérdezhető, hogy milyen típusú elemekre vonatkozik a keresés.
`void` | `setCategory(java.lang.String category)` A metódus segítségével beállítható a keresésnek eleget tevő számlák kategóriája.
`void` | `setComment(java.lang.String comment)` A metódus segítségével beállítható a keresésnek eleget tevő számlák megjegyzésében szereplő szöveg, VTSZ száma.
`void` | `setFromDate(java.sql.Date fromDate)` A metódus segítségével beállítható a keresésnek eleget tevő számlák dátumának alsó határa
`void` | `setFromMoney(int fromMoney)` A metódus segítségével beállítható a keresésnek eleget tevő számlák végösszegéek alsó határa
`void` | `setToDate(java.sql.Date toDate)` A metódus segítségével beállítható a keresésnek eleget tevő számlák dátumának felső határa
`void` | `setToMoney(int toMoney)` A metódus segítségével beállítható a keresésnek eleget tevő számlák végösszegéek felső határa

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Search

    public Search(int type,
                  int fromMoney,
                  int toMoney,
                  java.sql.Date fromDate,
                  java.sql.Date toDate,
                  java.lang.String category,
                  java.lang.String comment)

  Létrehoz egy Search objektumot a megadott értékekkel

  Parameters:
    `type` - A keresésben szereplő számlák típusa (0, 1 vagy 2)
    `fromMoney` - A számlák végösszegének alsó határa
    `toMoney` - A számlák végösszegének felső határa
    `fromDate` - A számlák dátumának alsó határa
    `toDate` - A számlák dátumának felső határa
    `category` - A számlán szereplő tételek megnevezése
    `comment` - A tételek VTSZ száma vagy a hozzájuk fűzött egyéb megjegyzés

Method Detail

### getCategory

    public java.lang.String getCategory()

  A metódus segítségével lekérdezhető, hogy a keresett számlák milyen kategóriába kell, hogy essenek.

  Returns:
    0, ha bevétel
    1, ha kiadás
    2, ha mindkét fajtára kíváncsiak vagyunk

### getComment

    public java.lang.String getComment()

  A metódus segítségével lekérdezhető, hogy a keresett számlákon milyen megjegyzésnek/VTSZ számnak kell szerepelnie.

  Returns:
    A megjegyzés/VTSZ szám

### getFromDate

    public java.sql.Date getFromDate()

  A metódus segítségével lekérdezhető a keresett számlák dátumának alsó határa.

  Returns:
    A keresés alapjául szolgáló kezdődátum

### getFromMoney

    public int getFromMoney()

  A metódus segítségével lekérdezhető a keresett számlák végösszegének alsó határa.

  Returns:
    A keresés eredményeként visszaadott számlák végösszegének minimális értéke

### getToDate

    public java.sql.Date getToDate()

  A metódus segítségével lekérdezhető a keresett számlák dátumának felső határa.

  Returns:
    A keresés alapjául szolgáló végdátum

### getToMoney

    public int getToMoney()

  A metódus segítségével lekérdezhető a keresett számlák végösszegének felső határa.

  Returns:
    A keresés eredményeként visszaadott számlák végösszegének maximális értéke

### getType

    public int getType()

  A metódus segítségével lekérdezhető, hogy milyen típusú elemekre vonatkozik a keresés.

  Returns:
    0, ha csak a bevételekre
    1, ha csak a kiadásokra
    2, ha mindkét fajta dokumentumra kíváncsi a felhasználó

### setCategory

    public void setCategory(java.lang.String category)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák kategóriája.

  Parameters:
    `category` - A kategória, mely alapján szűrjük a számlákat

### setComment

    public void setComment(java.lang.String comment)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák megjegyzésében szereplő szöveg, VTSZ száma.

  Parameters:
    `comment` - A megjegyzés szövege, VTSZ szám, mely alapján szűrjük a számlákat

### setFromDate

    public void setFromDate(java.sql.Date fromDate)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák dátumának alsó határa

  Parameters:
    `fromDate` - A szűréshez használt kezdődátum

### setFromMoney

    public void setFromMoney(int fromMoney)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák végösszegéek alsó határa

  Parameters:
    `fromMoney` - A szűréshez használt alsó összeghatár

### setToDate

    public void setToDate(java.sql.Date toDate)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák dátumának felső határa

  Parameters:
    `toDate` - A szűréshez használt végdátum

### setToMoney

    public void setToMoney(int toMoney)

  A metódus segítségével beállítható a keresésnek eleget tevő számlák végösszegéek felső határa

  Parameters:
    `toMoney` - A szűréshez használt felső összeghatár

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD